Plugins para o Mail param de funcionar após uma atualização do Mac OS X

Embora alguns usuários já tenham visto plugins para o Mail parando de funcionar, a Apple só tratou de tornar essa informação relativamente oficial tempos depois, com um artigo de suporte escondido há um mês na sua base de conhecimentos. A cada atualização do Mac OS X, o Mail interrompe o funcionamento de todas as extensões de terceiros que trabalham junto dele, como o WideMail (comentado no MacMagazine recentemente) e o GrowlMail, que fornece notificações sobre o recebimento de mensagens aos usuários.

O GrowlMail, que alerta usuários sobre novas mensagens, é um dos plugins afetados

O motivo é simples, mas bem estranho: por algum motivo qualquer, a Apple não apoia mais o desenvolvimento/instalação de plugins para o seu cliente de email, embora ainda seja possível colocá-los para funcionar normalmente. Mas o problema é que, a cada atualização do Mac OS X, aqueles cuja versão for mais antiga do que esse update serão desabilitados pelo Mail e removidos das pastas ~/Library/Mail/Bundles e/ou /Library/Mail/Bundles.

Devido a isso, desenvolvedores de plugins para o Mail deverão ser alertados a cada update do sistema pelos usuários, a fim de que possam corrigir a falha no funcionamento deles. Os mais populares já estão totalmente compatíveis com a última versão do Mac OS X (10.6.2), mas a próxima deverá ser lançada ainda neste trimestre.

Posts relacionados

Comentários